src/fvm/fvm_selector_postfix.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
fvm_selector_postfix.h File Reference
`#include "cs_defs.h"`
`#include "fvm_defs.h"`
`#include "fvm_group.h"`
Include dependency graph for fvm_selector_postfix.h:

Go to the source code of this file.

## Functions
fvm_selector_postfix_t * | fvm_selector_postfix_create (const char *infix, int n_groups, int n_attributes, const char *group_name[], const int attribute[])
void | fvm_selector_postfix_destroy (fvm_selector_postfix_t **postfix)
const char * | fvm_selector_postfix_get_infix (const fvm_selector_postfix_t *pf)
_Bool | fvm_selector_postfix_coords_dep (const fvm_selector_postfix_t *pf)
_Bool | fvm_selector_postfix_normals_dep (const fvm_selector_postfix_t *pf)
int | fvm_selector_postfix_n_missing (const fvm_selector_postfix_t *pf)
const char * | fvm_selector_postfix_get_missing (const fvm_selector_postfix_t *pf, int id)
_Bool | fvm_selector_postfix_eval (const fvm_selector_postfix_t *pf, int n_groups, int n_attributes, const int group_id[], const int attribute_id[], const double coords[], const double normal[])
void | fvm_selector_postfix_dump (const fvm_selector_postfix_t *pf, int n_groups, int n_attributes, const char *group_name[], const int attribute[])

## Function Documentation

_Bool fvm_selector_postfix_coords_dep | ( | const fvm_selector_postfix_t * | pf | ) |

fvm_selector_postfix_t* fvm_selector_postfix_create | ( | const char * | infix,
|  | int | n_groups,
|  | int | n_attributes,
|  | const char * | group_name[],
|  | const int | attribute[]
| ) |  |

void fvm_selector_postfix_destroy | ( | fvm_selector_postfix_t ** | postfix | ) |

void fvm_selector_postfix_dump | ( | const fvm_selector_postfix_t * | pf,
|  | int | n_groups,
|  | int | n_attributes,
|  | const char * | group_name[],
|  | const int | attribute[]
| ) |  |

_Bool fvm_selector_postfix_eval | ( | const fvm_selector_postfix_t * | pf,
|  | int | n_groups,
|  | int | n_attributes,
|  | const int | group_id[],
|  | const int | attribute_id[],
|  | const double | coords[],
|  | const double | normal[]
| ) |  |

const char* fvm_selector_postfix_get_infix | ( | const fvm_selector_postfix_t * | pf | ) |

const char* fvm_selector_postfix_get_missing | ( | const fvm_selector_postfix_t * | pf,
|  | int | id
| ) |  |

int fvm_selector_postfix_n_missing | ( | const fvm_selector_postfix_t * | pf | ) |

_Bool fvm_selector_postfix_normals_dep | ( | const fvm_selector_postfix_t * | pf | ) |